# Interface JvmClasses

All Superinterfaces:
  `Buildable, BuildableComponentSpec, ComponentSpec, ModelElement, Named`

@Incubating public interface JvmClasses extends BuildableComponentSpec
A set of classes and resources that operate together.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`void`
`addResourceDir(File resourceDir)`
Add a resource directory to this binary.
`File`
`getClassesDir()`
The classes directory for this binary.
`Set<File>`
`getResourceDirs()`
A set of resource directories for this binary.
`void`
`setClassesDir(File classesDir)`
Sets the classes directory for this binary.

### Methods inherited from interface Buildable

`getBuildDependencies`

### Methods inherited from interface BuildableComponentSpec

`builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

### Methods inherited from interface ComponentSpec

`getProjectPath`

### Methods inherited from interface ModelElement

`getDisplayName, getName`

## Method Details

### getClassesDir

File getClassesDir()
The classes directory for this binary.

### setClassesDir

void setClassesDir(File classesDir)
Sets the classes directory for this binary.

### getResourceDirs

Set<File> getResourceDirs()
A set of resource directories for this binary.

### addResourceDir

void addResourceDir(File resourceDir)
Add a resource directory to this binary.